Authorize a token
curl --request POST \
--url https://api.lynkwell.com/identity/v2/tokens/{tokenId}/authorize \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assetId": "<string>",
"networkId": "<string>",
"type": "ID"
}
'import requests
url = "https://api.lynkwell.com/identity/v2/tokens/{tokenId}/authorize"
payload = {
"assetId": "<string>",
"networkId": "<string>",
"type": "ID"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({assetId: '<string>', networkId: '<string>', type: 'ID'})
};
fetch('https://api.lynkwell.com/identity/v2/tokens/{tokenId}/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"authorized": true,
"token": {
"id": "<string>",
"network": "<string>",
"isValid": true,
"type": "AD_HOC_PAYMENT_TERMINAL",
"whitelistType": "ALWAYS",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"value": "<string>",
"driver": "<string>",
"paymentTerminal": "<string>",
"name": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}
}
}{
"type": "BAD_REQUEST",
"code": "INVALID_REQUEST_PARAMETERS",
"message": "<string>"
}{
"type": "UNAUTHORIZED",
"code": "UNAUTHORIZED",
"message": "<string>"
}{
"message": "<string>"
}{
"type": "INTERNAL_ERROR",
"code": "INTERNAL_SERVER_ERROR",
"message": "<string>"
}Token
Authorize a token
Checks whether the given token is authorized to charge at a specific asset. Returns authorization status along with the token details or a failure code.
POST
/
identity
/
v2
/
tokens
/
{tokenId}
/
authorize
Authorize a token
Authorizations
OAuth2 Client Credentials Flow
Path Parameters
The ID of the token to authorize
Body
application/json
Response
Token authorization result
If authorized is "true", then the token is authorized and will be returned in the response
- Option 1
- Option 2
Show child attributes
Show child attributes